MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Agent A2A Tools
Agent Channels
Agent Configuration (Staging)
Agent Configuration (Versions)
Agent Tools
agents
Agents
Attachments
Auth
Billing
bundler
Bundler
Bundler Tool
Bundles
Call Campaigns
Catalog
Conversations
Credentials
Deployments
Discover
Fleet
Genesys
Insights
internal
Knowledge Base Website Sources
Knowledge Bases
MCP Listings
Media
OAuth Clients
OAuth2
Observability
Organisation roles
Organisations
Bind An Org Key To A ProviderCancel Subscription ImmediatelyCancel Subscription At Period EndChange Subscription PlanClaim Organisation DomainAdd Org Provider ModelRegister Org ProviderCreate OrganisationClear Org Credential AssignmentDelete Org Provider ModelDelete Org ProviderDelete OrganisationDelete Schema Notification WebhookDelete SSO ConfigDisable SCIMGenerate SCIM TokenGet Notification Badge CountsGet OrganisationGet Recording PolicyGet SCIM StatusGet SSO ConfigInvite Organisation MemberList Organisation DomainsList Organisation MembersList My OrganisationsList Organisation BundlesList Organisation ListingsList Organisation MCPsList Org Provider ModelsList Org ProvidersList Organisation InvoicesList SCIM Role MappingsSet Org Credential AssignmentRefresh Org Provider Models From EndpointRemove Organisation DomainRemove Organisation MemberReplace SCIM Role MappingsSave SSO ConfigSet Schema Notification WebhookStart Subscription CheckoutSync SCIM UsersTest An Org Provider EndpointRemove An Org Key From A ProviderUpdate Member RoleUpdate Org Provider ModelUpdate Org ProviderUpdate Organisation VariablesUpdate OrganisationUpdate Organisation PolicyUpdate Recording PolicyVerify Organisation Domain
Providers
Reviews
Roadmap
SCIM
Simulation Tests
Suppression
Triggers
TTS
Users
Utils
Visitors
Voices
Webhooks
Workflows
API ReferenceOrganisations

Register Org Provider

POST
/v1/organisations/{org_id}/providers

Registers this organisation's own private Provider row, alongside the platform's own default catalog. Optionally binds an API key and imports the provider's models in the same request.

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Path Parameters

org_id*Org Id
Formatuuid

Query Parameters

verify_locally?Verify Locally
Defaulttrue

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Registers an organisation's own private Provider catalog row, alongside the platform's own default catalog for the same kind - see provider_registry_provider.list_visible_by_kind.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/organisations/497f6eca-6276-4993-bfeb-53cbbbba6f08/providers" \  -H "Content-Type: application/json" \  -d '{    "kind": "string",    "name": "string",    "type": "string",    "endpoint": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "kind": "string",  "name": "string",  "type": "string",  "default_model": "string",  "endpoint": "string",  "description": "string",  "enabled": true,  "credits_per_unit": 0,  "billing_unit": "string",  "models": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "provider_id": "fe3d49af-4061-436b-ae60-f7044f252a44",      "external_id": "string",      "kind": "string",      "display_name": "string",      "recommended": true,      "is_default": true,      "languages": [        "string"      ],      "spec": {},      "pricing": {        "property1": 0,        "property2": 0      },      "available_via": [        "platform"      ],      "deprecated": true,      "source": "seed",      "latency": {        "value_ms": 0,        "source": "measured",        "sample_count": 0      }    }  ]}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Add Org Provider Model

Previous Page

Create Organisation

Next Page

kind*Kind
Match^(llm|stt|tts|embedding|pii_redaction|realtime|rerank|web_crawl|web_search)$
name*Name
Lengthlength <= 64
type*Type
Lengthlength <= 32
endpoint*Endpoint
Lengthlength <= 512
description?string|null
credits_per_unit?|null
billing_unit?|null
api_key?string|null
default_model?|null